<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

$resultado=0;
$encontrado=false;

//echo '<p>TRAZA 1</p>';
//print_r($_SESSION['otrosContenedores']);

if($_GET['contenedor']) $contenedorBuscar=$_GET['contenedor']; else $contenedorBuscar=$_POST['contenedor'];

if(!isset($_SESSION['otrosContenedores']) || empty($_SESSION['otrosContenedores'][0])) {

	//echo '<p>TRAZA 2</p>';
	
	$peticion='SGAPreparar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#BUSQUEDACONTENEDOR#'.$_SESSION['almacen'].';'.$_SESSION['orden']['Empresa'].';'.$_SESSION['orden']['OrdenPreparacion'].';'.$_SESSION['parametros'];
	
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($_GET['traza']=='si') {
		echo '<p>'.$peticion.'</p>';
		print_r($resultado);
	}
	
	$_SESSION['otrosContenedores']=array();
	
	foreach($resultado as $contenedor) $_SESSION['otrosContenedores'][]=$contenedor;

}


foreach($_SESSION['otrosContenedores'] as $contenedor) {

	if($contenedor['Contenedor']==$contenedorBuscar) {
		
		$encontrado=true;
		
		//if($contenedor['Stock']<=$_POST['cantidadTotal']) $cantidadFinal=$contenedor['Stock'];
		//else $cantidadFinal=$_POST['cantidadTotal'];
		$cantidadFinal=$contenedor['Stock'];
		
		break;
	}

}

if(!$encontrado) echo "error";
else if($cantidadFinal>0) echo $cantidadFinal;

?>